namespace MyOffice.Data.Repositories.Account;

using Models.Accounts;

public interface IAccountAccessInviteRepository
{
	AccountAccessInvite? Get(Guid userId, string email);
	IEnumerable<AccountAccessInvite> GetActive(string email);
	AccountAccessInvite? Get(Guid id);
	bool Add(AccountAccessInvite invite);
	bool Update(AccountAccessInvite invite);
}